package com.burtbeckwith.dynamicdomain

import org.codehaus.groovy.ast.ClassNode
import org.codehaus.groovy.classgen.GeneratorContext
import org.codehaus.groovy.control.SourceUnit
import org.codehaus.groovy.grails.compiler.injection.DefaultGrailsDomainClassInjector

/**
 * Works around the fact that the class is dynamically compiled and not from a file.
 *
 * @author <a href='mailto:burt@burtbeckwith.com'>Burt Beckwith</a>
 */
class DynamicDomainClassInjector extends DefaultGrailsDomainClassInjector {

	// always true since we're only compiling dynamic domain classes
	@Override
	boolean shouldInject(URL url) { true }

	// always true since we're only compiling dynamic domain classes
	@Override
	protected boolean isDomainClass(ClassNode cn, SourceUnit su) { true }
}
